[arch-commits] Commit in (7 files)

Alexander Rødseth arodseth at nymeria.archlinux.org
Thu Jul 18 21:34:45 UTC 2013


    Date: Thursday, July 18, 2013 @ 23:34:45
  Author: arodseth
Revision: 94287

Added gauche. 18 votes in AUR.

Added:
  gauche/
  gauche/repos/
  gauche/repos/community-i686/
  gauche/repos/community-x86_64/
  gauche/trunk/
  gauche/trunk/PKGBUILD
  gauche/trunk/gauche.install

----------------+
 PKGBUILD       |   33 +++++++++++++++++++++++++++++++++
 gauche.install |   21 +++++++++++++++++++++
 2 files changed, 54 insertions(+)

Added: gauche/trunk/PKGBUILD
===================================================================
--- gauche/trunk/PKGBUILD	                        (rev 0)
+++ gauche/trunk/PKGBUILD	2013-07-18 21:34:45 UTC (rev 94287)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Motohiro Ueki <ueki.com at gmail.com>
+# Contributor: nkoizu <nkoizu at gmail.com>
+
+pkgname=gauche
+pkgver=0.9.3.3
+pkgrel=1
+url='http://practical-scheme.net/gauche/'
+pkgdesc='R5RS Scheme implementation (provides gosh)'
+depends=('gdbm' 'zlib' 'slib')
+license=('BSD')
+arch=('x86_64' 'i686')
+install="$pkgname.install"
+source=("http://downloads.sourceforge.net/$pkgname/Gauche-$pkgver.tgz")
+sha256sums=('3d8b70075faa0f7a24f8d112cc102ee3e1066680cdd19d324d59f33fab79caac')
+
+build() {
+  cd "$srcdir/Gauche-$pkgver"
+
+  ./configure --prefix=/usr --enable-multibyte=utf-8 \
+    --enable-threads=pthreads
+  make
+}
+package() {
+  cd "$srcdir/Gauche-$pkgver"
+
+  make DESTDIR="$pkgdir" install-pkg install-doc
+  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+
+# vim:set ts=2 sw=2 et:


Property changes on: gauche/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property
Added: gauche/trunk/gauche.install
===================================================================
--- gauche/trunk/gauche.install	                        (rev 0)
+++ gauche/trunk/gauche.install	2013-07-18 21:34:45 UTC (rev 94287)
@@ -0,0 +1,21 @@
+infodir=/usr/share/info
+filelist=(gauche-refe.info gauche-refj.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+  /usr/bin/gosh -ftest -uslib -E"require 'new-catalog" -Eexit;
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list